Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
news
/
tasks_ready
Get News SERP Completed Tasks
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/news/tasks_ready \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ],
  "tasks[].result[].id": "<string>",
  "tasks[].result[].se": "<string>",
  "tasks[].result[].se_type": "<string>",
  "tasks[].result[].date_posted": "<string>",
  "tasks[].result[].tag": "<string>",
  "tasks[].result[].endpoint_advanced": "<string>",
  "tasks[].result[].endpoint_html": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks_count
integer

The number of tasks in the tasks array

tasks_error
integer

The number of tasks in the tasks array returned with an error

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of completed task references

tasks[].result[].id
string

Task identifier of the completed task

tasks[].result[].se
string

Search engine specified when setting the task

tasks[].result[].se_type
string

Type of search engine

tasks[].result[].date_posted
string

Date when the task was posted in UTC format

tasks[].result[].tag
string

User-defined task identifier

tasks[].result[].endpoint_advanced
string

URL for collecting SERP Advanced results

tasks[].result[].endpoint_html
string

URL for collecting SERP HTML results